nlohmann::detail::container_input_adapter_factory_impl::container_input_adapter_factory< ContainerType, void_t< decltype(begin(std::declval< ContainerType >()), end(std::declval< ContainerType >()))> > Struct Template Reference

`#include <json.hpp>`

Collaboration diagram for nlohmann::detail::container_input_adapter_factory_impl::container_input_adapter_factory< ContainerType, void_t< decltype(begin(std::declval< ContainerType >()), end(std::declval< ContainerType >()))> >:

## Public Types

using | adapter_type = decltype(input_adapter(begin(std::declval< ContainerType >()), end(std::declval< ContainerType >())))

## Static Public Member Functions

static adapter_type | create (const ContainerType &container)

## Detailed Description

### template<typename ContainerType>
struct nlohmann::detail::container_input_adapter_factory_impl::container_input_adapter_factory< ContainerType, void_t< decltype(begin(std::declval< ContainerType >()), end(std::declval< ContainerType >()))> >

Definition at line 5614 of file json.hpp.

## Member Typedef Documentation

## adapter_type

template<typename ContainerType >

using nlohmann::detail::container_input_adapter_factory_impl::container_input_adapter_factory< ContainerType, void_t< decltype(begin(std::declval< ContainerType >()), end(std::declval< ContainerType >()))> >::adapter_type = decltype(input_adapter(begin(std::declval<ContainerType>()), end(std::declval<ContainerType>())))

Definition at line 5617 of file json.hpp.

## Member Function Documentation

## create()

template<typename ContainerType >

static adapter_type nlohmann::detail::container_input_adapter_factory_impl::container_input_adapter_factory< ContainerType, void_t< decltype(begin(std::declval< ContainerType >()), end(std::declval< ContainerType >()))> >::create | ( | const ContainerType & | container | ) |

inline static

Definition at line 5619 of file json.hpp.

References nlohmann::detail::input_adapter().

The documentation for this struct was generated from the following file:

- json.hpp